Table of Contents

Class: RemotePublished | Twisted-0.19.0/twisted/spread/publish.py
--- | ---
The local representation of remote Publishable object.
Base Classes |
--- | ---
flavors.RemoteCache
Methods |
--- | ---
__getstate__ _cbGotUpdate activated callWhenActivated getFileName setCopyableState
| __getstate__
    __getstate__ ( self )
| _cbGotUpdate
    _cbGotUpdate ( self,  newState )
| activated
    activated ( self )
Implement this method if you want to be notified when your publishable subclass is activated.
| callWhenActivated
    callWhenActivated ( self,  callback )
Externally register for notification when this publishable has received all relevant data.
| getFileName
    getFileName ( self,  ext='pub' )
| setCopyableState
    setCopyableState ( self,  state )

Table of Contents

This document was automatically generated on Sun Jul 14 19:53:20 2002 by HappyDoc version 2.0